{
	"layer": "top",
	"position": "top",
	"margin": "5 0 0",
	"mod": "dock",
	"exclusive": true,
	"passthrough": false,
	"gtk-layer-shell": true,
	"height": 5,
	"margin-bottom": 0,
	"margin-top": 5,
	"margin-left": 10,
	"margin-right": 10,
	"sway/workspaces": {
		"disable-scroll": true,
		"format": "{name} {icon}",
		"format-icons": {
			"1": "",
			"2": "",
			"3": "",
			"urgent": "",
			"active": "",
			"default": ""
		},
		"sort-by-number": true
	},
	"sway/window": {
		"format": "{}",
		"max-length": 50,
		"rewrite": {
			"(.*) - Mozilla Firefox": "🌎 $1",
			"(.*) - zsh": "> [$1]"
		}
	},
	"tray": {
		"icon-size": 18,
		"spacing": 5
	},
	"clock": {
		// DD-MM-YYYY
		"format": " {0:%H:%M:%S %Z} 󰸘 {0:%d/%m/%Y}",
		"interval": 60,
		"format-alt": "{:L%A, %B %d, %Y (%R)}  ",
		"tooltip-format": "<small><tt>{calendar}</tt></small>",
		"timezones": [
			"America/Montevideo",
			"America/New_York"
		],
		"actions": {
			"on-click-right": "mode",
			"on-scroll-up": "tz_up",
			"on-scroll-down": "tz_down"
		},
		"calendar": {
			"mode": "year",
			"mode-mon-col": 3,
			"weeks-pos": "right",
			"on-scroll": 1,
			"format": {
				"months": "<span color='#ffead3'><b>{}</b></span>",
				"days": "<span color='#ecc6d9'><b>{}</b></span>",
				"weeks": "<span color='#99ffdd'><b>W{}</b></span>",
				"weekdays": "<span color='#ffcc66'><b>{}</b></span>",
				"today": "<span color='#ff6699'><b><u>{}</u></b></span>"
			}
		},
	},
	"backlight": {
		"device": "intel_backlight",
		"format": "{icon} {percent}%",
		"format-icons": [
			"󰃞",
			"󰃟",
			"󰃠"
		],
		"on-scroll-up": "brightnessctl set 1%+",
		"on-scroll-down": "brightnessctl set 1%-",
		"scroll-step": 0.2,
		"min-length": 6
	},
	"battery": {
		"states": {
			"good": 95,
			"warning": 30,
			"critical": 20
		},
		"format": "{icon} {capacity}%",
		"format-charging": " {capacity}%",
		"format-plugged": " {capacity}%",
		"format-alt": "{time} {icon}",
		"format-icons": [
			"󰂎",
			"󰁺",
			"󰁻",
			"󰁼",
			"󰁽",
			"󰁾",
			"󰁿",
			"󰂀",
			"󰂁",
			"󰂂",
			"󰁹"
		]
	},
	"pulseaudio": {
		"format": "{icon} {volume}%",
		"tooltip": false,
		"format-muted": " Muted",
		"on-click": "wpctl set-mute @DEFAULT_SINK@ toggle",
		"on-click-right": "pavucontrol",
		"scroll-step": 0.5,
		"format-icons": {
			"headphone": "",
			"hands-free": "",
			"headset": "",
			"phone": "",
			"portable": "",
			"car": "",
			"default": [
				"",
				"",
				" "
			]
		}
	},
	"pulseaudio#microphone": {
		"format": "{format_source}",
		"format-source": " {volume}%",
		"format-source-muted": "  Muted",
		"on-click": "wpctl set-mute @DEFAULT_SOURCE@ toggle",
		"on-click-right": "pavucontrol",
		"on-scroll-up": "wpctl set-volume -l 1 @DEFAULT_SOURCE@ 5%+",
		"on-scroll-down": "wpctl set-volume -l 1 @DEFAULT_SOURCE@ 5%-",
		"scroll-step": 5
	},
	"temperature": {
		"thermal-zone": 1,
		"format": " {temperatureC}°C",
		"critical-threshold": 80,
		"format-critical": "{temperatureC}°C "
	},
	"network": {
		"format-wifi": "  {signalStrength}%",
		"format-ethernet": "{ipaddr}/{cidr}",
		"tooltip-format": "{essid} - {ifname} via {gwaddr}",
		"format-linked": "{ifname} (No IP)",
		"format-disconnected": "Disconnected",
		"format-alt": "{ifname}:{essid} {ipaddr}/{cidr}"
	},
	"bluetooth": {
		"format": " {status}",
		"format-disabled": " off",
		"format-connected": " {num_connections}",
		"tooltip-format": "{device_alias}",
		"tooltip-format-connected": " {device_enumerate}",
		"tooltip-format-enumerate-connected": "{device_alias}",
		"on-click": "bluetoothctl toggle"
	},
	"custom/playerctl": {
		"format": "{icon}",
		"return-type": "json",
		"max-length": 64,
		"exec": "playerctl -a metadata --format '{\"text\": \"{{artist}} - {{markup_escape(title)}}\", \"tooltip\": \"{{playerName}} : {{markup_escape(title)}}\", \"alt\": \"{{status}}\", \"class\": \"{{status}}\"}' -F",
		"on-click-middle": "playerctl play-pause",
		"on-click": "playerctl play-pause",
		"on-click-right": "playerctl play-pause",
		"format-icons": {
			"Playing": "<span foreground='#E5B9C6'>󰏥</span>",
			"Paused": "<span foreground='#928374'>󰐌</span>"
		}
	},
	"custom/playerlabel": {
		"format": "<span>{}</span>",
		"return-type": "json",
		"max-length": 48,
		"exec": "playerctl -a metadata --format '{\"text\": \"{{artist}} - {{markup_escape(title)}}\", \"tooltip\": \"{{playerName}} : {{markup_escape(title)}}\", \"alt\": \"{{status}}\", \"class\": \"{{status}}\"}' -F",
		"on-click": "playerctl previous",
		"on-click-right": "playerctl next",
		"format-icons": {
			"Playing": "<span foreground='#E5B9C6'>󰒮 󰐌 󰒭</span>",
			"Paused": "<span foreground='#928374'>󰒮 󰏥 󰒭</span>"
		}
	},
	"custom/notification": {
		"tooltip": false,
		"format": "{icon}",
		"format-icons": {
			"notification": "󰎟<span foreground='red'><sup></sup></span>",
			"none": "󰎟",
			"inhibited-notification": "󰎟<span foreground='red'><sup></sup></span>",
			"inhibited-none": "󰎟",
			"dnd-notification": "<span foreground='red'><sup></sup></span>",
			"dnd-none": "",
			"dnd-inhibited-notification": "<span foreground='red'><sup></sup></span>",
			"dnd-inhibited-none": ""
		},
		"return-type": "json",
		"exec-if": "which swaync-client",
		"exec": "swaync-client -swb",
		"on-click": "swaync-client -t -sw",
		"on-click-right": "swaync-client -d -sw",
		"escape": true
	},
	"custom/randwall": {
		"format": "󰏘",
		"on-click": "$HOME/.bin/randwall",
		"on-click-right": "$HOME/.bin/randwall"
	}
}
